Skip to content

# VMess

### Structure

    {
      "type": "vmess",
      "tag": "vmess-in",

      ... // Listen Fields

      "users": [
        {
          "name": "sekai",
          "uuid": "bf000d23-0752-40b4-affe-68f7707a9661",
          "alterId": 0
        }
      ],
      "tls": {},
      "multiplex": {},
      "transport": {}
    }

### Listen Fields

See Listen Fields for details.

### Fields

#### users

Required

VMess users.

Alter ID | Description
--- | ---
0 | Disable legacy protocol
> 0 | Enable legacy protocol

Legacy protocol support (VMess MD5 Authentication) is provided for compatibility purposes only, use of alterId > 1 is not recommended.

#### tls

TLS configuration, see TLS.

#### multiplex

See Multiplex for details.

#### transport

V2Ray Transport configuration, see V2Ray Transport.